Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456499 - Compatibility test on RHEL 4.7 + Firefox + evolution28 + zh_CN inputs.
Summary: Compatibility test on RHEL 4.7 + Firefox + evolution28 + zh_CN inputs.
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iiimf-le-chinput
Version: 4.7
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Caius Chance
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 05:34 UTC by Caius Chance
Modified: 2008-07-30 04:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-30 04:43:32 UTC


Attachments (Terms of Use)

Description Caius Chance 2008-07-24 05:34:10 UTC
Description of problem:

Compatibility test.

Install rhel4.7 and latest firefox and evolution test zh_CN input.

Version-Release number of selected component (if applicable):
RHEL4-U7-re20080703.3

How reproducible:
Unknown.

Steps to Reproduce:
1. Install RHEL 4.7 with evolution28 and Firefox with zh_CN support.
2. Start gnome desktop.
3. Test zh_CN input on firefox input fields of webpages.
  
Actual results:
N/A

Expected results:
N/A

Additional info:

Comment 1 Caius Chance 2008-07-24 06:03:22 UTC
This is results with preinstalled packages:

Evolution 2.8 results
/usr/evolution28/bin/evolution-2.8 is working with all preinstalled zh_CN IMEs
iiimf-chinput.

Firefox results
Firefox crashed with error messages
 /usr/lib/firefox-3.0/run-mozilla.sh: line 131:  6624 段错误              
"$prog" ${1+"$@"}

Comment 2 Caius Chance 2008-07-24 07:37:45 UTC
Another test with following updated packages:

evolution28-2.8.0-61.el4
iiimf-le-chinput-0.3-18.el4
firefox-3.0.1-3.el4

Results:

evolution28 works with iiimf-le-chinput zh_CN IMEs.

firefox was unable to started with command "firefox". It crashed with error
messages like "Errors from gecko." (It was originally written in simplified
Chinese.)

It could be started with GTK_IM_MODULE=gtk-im-context-simple, but no IMEs could
be triggered on.

Comment 3 Caius Chance 2008-07-24 08:23:44 UTC
Tested again with

https://bugzilla.redhat.com/show_bug.cgi?id=454387#c71 and
https://bugzilla.redhat.com/show_bug.cgi?id=454387#c72

run in advance to /usr/lib/firefox-3.0.1/firefox-bin, firefox still crashed in
zh_CN.UTF-8 gnome login. In the same login, firefox could be started but no IMEs
could be triggered:

`LANG=zh_TW.UTF-8 /usr/lib/firefox-3.0.1/firefox-bin`

However, login gnome desktop with zh_TW.UTF-8, firefox could be started and both
SC/TC IMEs are able to be triggered and inputted.

Comment 4 Caius Chance 2008-07-28 23:52:30 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=454387#c80 has latest backtrace with
debuginfo on firefox, evolution28, iiimf-le-chinput.

Comment 5 Caius Chance 2008-07-30 04:29:36 UTC
Tested with RHEL4-U7 fresh install with zh_* and ja_JP support and latest
updates from RHN, the bug couldn't be reproduced with the following versions:

firefox-3.0.1-3.el4
iiimf-le-chinput-0.3-18.el4
evolution28-gtk2-2.10.4-22.el4


Note You need to log in before you can comment on or make changes to this bug.